Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.servlet
Class PathConstants

    java.lang.Object
      org.directwebremoting.servlet.PathConstants

    public class PathConstants

extends java.lang.Object

Various constants from generating output.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Field Summary
`static java.lang.String` | `EXTENSION_JS` Extension for javascript files
`static java.lang.String` | `FILE_HELP` Help page name
`static java.lang.String` | `RESOURCE_WEB_XML` The position of web.xml
`static java.lang.String` | `URL_PREFIX` When we prime the `Container` with URLs for `Handler`s we use a prefix so the `UrlProcessor` knows that this is a URL and not some other property

Constructor Summary
`PathConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URL_PREFIX

    public static final java.lang.String URL_PREFIX

  When we prime the `Container` with URLs for `Handler`s we use a prefix so the `UrlProcessor` knows that this is a URL and not some other property

  See Also:
    Constant Field Values

### FILE_HELP

    public static final java.lang.String FILE_HELP

  Help page name

  See Also:
    Constant Field Values

### EXTENSION_JS

    public static final java.lang.String EXTENSION_JS

  Extension for javascript files

  See Also:
    Constant Field Values

### RESOURCE_WEB_XML

    public static final java.lang.String RESOURCE_WEB_XML

  The position of web.xml

  See Also:
    Constant Field Values

Constructor Detail

### PathConstants

    public PathConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD